Bug 179987 - selinux prevents bluetooth and wifi working
Summary: selinux prevents bluetooth and wifi working
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Walsh
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-02-04 09:48 UTC by Andy Burns
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-03-16 03:37:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
dmesg demonstrating failure with selinx enabled (24.34 KB, text/plain)
2006-02-04 09:48 UTC, Andy Burns
no flags Details
dmesg demonstrating success with selinux disabled (17.68 KB, text/plain)
2006-02-04 09:49 UTC, Andy Burns
no flags Details

Description Andy Burns 2006-02-04 09:48:28 UTC
Description of problem:

selinux is preventing WiFi (ipw2000 with NetworkManager and WEP) and also
BlueTooth from working on laptop

Version-Release number of selected component (if applicable):

rawhide 2006-02-02

How reproducible:

100% when selinux=1 and enforcing=1

Steps to Reproduce:

set enforcing=0 in grub.conf
touched /.autorelabel
rebooted
relabel was performed ok
removed enforcing=0 from grub.conf
rebooted

Actual results:

Following 2nd reboot neither WiFi or Bluetooth working, log files attached
set selinux=0 in grub.conf
rebooted
Both WiFi and Bluetooth working

Expected results:

selinux policy should allow wifi and bluetooth to operate

Additional info:

I'd been led to believe that setting enforcing=0 is better than selinux=0 but in
this case the former didn't allow they system to work, the latter did

Comment 1 Andy Burns 2006-02-04 09:48:28 UTC
Created attachment 124154 [details]
dmesg demonstrating failure with selinx enabled

Comment 2 Andy Burns 2006-02-04 09:49:32 UTC
Created attachment 124155 [details]
dmesg demonstrating success with selinux disabled

Comment 3 Daniel Walsh 2006-02-14 20:28:49 UTC
Is this working any better with the latest policy?

selinux-policy-2.2.14-1

Comment 4 Daniel Walsh 2007-03-16 03:37:33 UTC
Closing several old modified bugs


Note You need to log in before you can comment on or make changes to this bug.